﻿<div class="row">
    <nav aria-label="Page navigation">
        <ul class="pagination" id="paginacao">
            <input type="hidden" value="@ViewBag.Pager.CurrentPage" id="paginaAtual" name="paginaAtual" />
            @if (ViewBag.Pager.CurrentPage > 1)
            {
                <li>
                    <a href="~/Controladora/Listar?pagina=@(ViewBag.Pager.CurrentPage - 1)&qtdPorPagina=10" aria-label="Previous">
                        <span aria-hidden="true">&laquo;</span>
                    </a>
                </li>
            }
            @for (var i = ViewBag.Pager.StartPage; i <= ViewBag.Pager.EndPage; i++)
            {
                <li class="@(i == ViewBag.Pager.CurrentPage ? "active" : "")">
                    <a href="~/Controladora/Listar?pagina=@i&qtdPorPagina=10">@i</a>
                </li>
            }
            @if (ViewBag.Pager.CurrentPage < ViewBag.Pager.TotalPages)
            {
                <li>
                    <a href="~/Controladora/Listar?pagina=@(ViewBag.Pager.CurrentPage + 1)&qtdPorPagina=10" aria-label="Next">
                        <span aria-hidden="true">&raquo;</span>
                    </a>
                </li>
            }
        </ul>

    </nav>
</div>
<div class="row">
    <span class="small">Total de @ViewBag.Pager.TotalItems registros</span>
</div>

